Bug 125929 - SiS embedded audio (snd_intel8x0) emits high-pitched whine
SiS embedded audio (snd_intel8x0) emits high-pitched whine
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-14 05:33 EDT by Adam Wiggins
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Wiggins 2004-06-14 05:33:12 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, 
like Gecko) 
Description of problem: 
Fresh install of FC2, installer correctly detects sound card as 
Silicon Integrated Systems (SIS) chip (this is a laptop) and installs 
ALSA module snd_intel8x0.  Once installed a high-pitched whine, very 
piercing, emits from the laptop's built-in speaker.  Running xmms 
produces a "could not open sound device" error using the ALSA output 
When I run the Soundcard Detection program, the high-pitched whine 
stops.  I click "play test sound" but no sound comes out.  The 
program appears to lock but after a very long time (~60 seconds) it 
asks me if I heard the sound. 
I know the audio works because it was working using the 2.4 OSS 
drivers in Red Hat 9, previously installed on the machine. 
lspci output: 
00:00.0 Host bridge: Silicon Integrated Systems [SiS] SiS645DX Host & 
Memory & AGP Controller (rev 01) 
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual 
PCI-to-PCI bridge (AGP) 
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL 
Media IO] (rev 14) 
00:02.1 SMBus: Silicon Integrated Systems [SiS]: Unknown device 0016 
00:02.3 FireWire (IEEE 1394): Silicon Integrated Systems [SiS] 
FireWire Controller 
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] 
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem 
Controller (rev a0) 
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] 
Sound Controller (rev a0) 
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 
Controller (rev 0f) 
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 
Controller (rev 0f) 
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 
Controller (rev 0f) 
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 
PCI Fast Ethernet (rev 90) 
00:09.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller 
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 
440 Go 64M] (rev a3) 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
Reboot and/or run the soundcard detection. 
Additional info:
Comment 1 Adam Wiggins 2004-06-14 05:58:43 EDT
As an additional twist, I realized that the whine only starts when 
entering KDE.  I turned off artsd thinking that was the culprit, but 
it made no difference.  rmmod snd-intel8x0; modprobe snd-intel8x0 
removes the whine and makes the sound card work properly once KDE is 
booted.  Very strange! 
Even further, this only seems to happen for a user with a 
pre-exsiting .kde directory.  A fresh user with a Fedora-created .kde 
does not encounter this problem.  Given the relative obscurity of it 
I think it would be fair to just mark this as WONTFIX, though this is 
a fairly common upgrade path and sound chip so it might be worth 
further investigation?  I could tinker with the KDE startup and/or 
post an archive of the .kde dir that is causing the problem if anyone 
is interested.  In the meantime I am advising the user to delete 
her .kde dir and adjust all the configuration settings back by hand. 
Comment 2 Alan Cox 2004-06-18 23:04:42 EDT
If you fire up a mixer and turn down the various recording things it
should go away. Can you let me know if that helps ?
Comment 3 Dave Jones 2005-04-16 00:37:53 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.